AntiFeatures:UpstreamNonFree
Categories:System
License:GPLv3
Web Site:
Source Code:https://github.com/loadrunner/Facebook-Contact-Sync
Issue Tracker:https://github.com/loadrunner/Facebook-Contact-Sync/issues

Auto Name:UberSync for Facebook
Summary:Sync your Facebook Contacts
Description:
To configure, go to "Settings => Accounts & Sync => Add Account". Depending on
how many friends you have, the first import might take a while, so be patient.

* Facebook does not allow to export phone numbers or emails: only names, pictures and statuses are synced.
* Facebook users have the option to block one or all apps: if they opt for that, they will be EXCLUDED from your friends list.

Appbrain SDK was removed before building.
.

Repo Type:git
Repo:https://github.com/loadrunner/Facebook-Contact-Sync.git

Build:1.0.0,32
    commit=b3879c973e7cac3a3319

Build:1.0.1,33
    commit=252c8dd4c9

Build:1.2.0,39
    commit=v1.2.0
    patch=appbrain.patch
    srclibs=FacebookSDK@sdk-version-3.0.1
    rm=libs/appbrain-sdk-android.jar
    prebuild=sed -i 's@\(reference.1=\).*@\1$$FacebookSDK$$@' project.properties && \
        sed -i 's/Class\[\]/Class\<?\>\[\]/g' $$FacebookSDK$$/src/com/facebook/model/GraphObject.java

Build:1.2.2,42
    commit=v1.2.2
    patch=appbrain.patch
    srclibs=FacebookSDK@sdk-version-3.0.2
    rm=libs/appbrain-sdk-android.jar
    extlibs=android/android-support-v4.jar
    prebuild=mv libs/android-support-v4.jar $$FacebookSDK$$/libs/ && \
        sed -i 's@\(reference.1=\).*@\1$$FacebookSDK$$@' project.properties && \
        sed -i 's/Class\[\]/Class\<?\>\[\]/g'          $$FacebookSDK$$/src/com/facebook/model/GraphObject.java

Build:2.1.1,48
    commit=2.1.1
    patch=manifest-ads.patch,mobilecore.patch
    srclibs=FacebookSDK@sdk-version-3.0.2
    rm=libs/applovin*,libs/mobileCore*
    extlibs=android/android-support-v4.jar
    prebuild=cp libs/android-support-v4.jar $$FacebookSDK$$/libs/ && \
        sed -i 's@\(reference.1=\).*@\1$$FacebookSDK$$@' project.properties && \
        sed -i 's/Class\[\]/Class\<?\>\[\]/g'          $$FacebookSDK$$/src/com/facebook/model/GraphObject.java

Build:2.1.2,49
    disable=Labelled as pre-release, so skipped

Auto Update Mode:None
Update Check Mode:Tags
Current Version:2.1.2
Current Version Code:49
